<#import "/spring.ftl" as spring />

<title>MyUsers ~ User Details</title>

<@spring.bind "user.*"/> 
<#if spring.status.error>
<div class="error">
    <#list spring.status.errorMessages as error>
        ${error}<br/>
    </#list>
</div>
</#if>

<p>Please fill in user's information below:</p>
  
<form method="post" action="editUser.html">
<@spring.bind "user.id"/> 
<input type="hidden" name="id" value="${spring.status.value?default("")}"/> 
<table>
<tr>
    <th>${rc.getMessage("user.firstName")}:</th>
    <td>
        <@spring.bind "user.firstName"/> 
        <input type="text" name="${spring.status.expression}" value="${spring.status.value?default("")}"/>
        <span class="fieldError">${spring.status.errorMessage}</span>
    </td>
</tr>
<tr>
    <th>${rc.getMessage("user.lastName")}:</th>
    <td>
        <@spring.bind "user.lastName"/> 
        <input type="text" name="${spring.status.expression}" value="${spring.status.value?default("")}"/>
        <span class="fieldError">${spring.status.errorMessage}</span>
    </td>
</tr>
<tr>
    <td></td>
    <td>
        <input type="submit" class="button" name="save" value="Save"/>
      <#if user.id?exists>
        <input type="submit" class="button" name="delete" value="Delete"/>
      </#if>
    </td>
</table>
</form>
