<%@ include file="/taglibs.jsp"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display" %>

<head>
  <title>MyUsers ~ User List</title>
  <link href="styles/displaytag.css" type="text/css" rel="stylesheet"/>
</head>

<button onclick="location.href='editUser.html'">Add User</button>

<p style="text-align: right; margin-bottom: -10px">
<strong>Export Options:</strong> 
    <a href="?report=XML">XML</a> &middot; 
    <a href="?report=Excel">Excel</a> &middot; 
    <a href="?report=PDF">PDF</a>
</p>

<c:set var="idKey"><fmt:message key="user.id"/></c:set>
<c:set var="firstNameKey"><fmt:message key="user.firstName"/></c:set>
<c:set var="lastNameKey"><fmt:message key="user.lastName"/></c:set>

<display:table name="${users}" class="list" requestURI="" id="userList"
    export="true">
    <display:column property="id" sort="true" href="editUser.html"
        paramId="id" paramProperty="id" title="${idKey}"/>
    <display:column property="firstName" sort="true" title="${firstNameKey}"/>
    <display:column property="lastName" sort="true" title="${lastNameKey}"/>
    <display:setProperty name="basic.empty.showtable" value="true"/>
</display:table>
